

%  This example demonstrates the use of 2D text the old way by using a
%  vtkTextMapper and a vtkScaledTextActor.

vtk_init;

%  Create a sphere source, mapper, and actor
sphere = vtkSphereSource();

sphereMapper = vtkPolyDataMapper();
sphereMapper.SetInput(sphere.GetOutput());
sphereMapper.GlobalImmediateModeRenderingOn();
sphereActor = vtkLODActor();
sphereActor.SetMapper(sphereMapper);

%  Create a text mapper.
textMapper = vtkTextMapper();
textMapper.SetInput("This is a sphere");

%  Set the text, font, justification, and text properties (bold,
%  italics, etc.).
tprop = textMapper.GetTextProperty();
tprop.SetFontSize(18);
tprop.SetFontFamilyToArial();
tprop.SetJustificationToCentered();
tprop.BoldOn();
tprop.ItalicOn();
tprop.ShadowOn();
tprop.SetColor(0, 0, 1);

%  Create a scaled text actor. Set the position of the text.
textActor = vtkScaledTextActor();
textActor.SetMapper(textMapper);
textActor.SetDisplayPosition(90, 50);

%  Create the Renderer, RenderWindow, RenderWindowInteractor
ren = vtkRenderer();
renWin = vtkRenderWindow();
renWin.AddRenderer(ren);
iren = vtkRenderWindowInteractor();
iren.SetRenderWindow(renWin);

%  Add the actors to the renderer; set the background and size; zoom
%  in; and render.
ren.AddActor2D(textActor);
ren.AddActor(sphereActor);

ren.SetBackground(1, 1, 1);
renWin.SetSize(250, 125);
ren.GetActiveCamera().Zoom(1.5);


% renWin.Render();
vtkInitializeInteractor(iren);
