function f = vtkGetDataRoot()

  ## I guess this is a locally set variable; should put this in documents
  ##  f = "/usr/share/vtkdata";

  f = "";

  ## The file that marks the VTKData/ directory
  readme = "VTKData.readme";

  ## check for a possible environmental variable
  env_data_root = getenv("VTK_DATA_ROOT");

  ## set at Octaviz's compile time
  oct_data_root = "/usr/share/VTKData";

  ## locally set path
  local_data_root = "/usr/local/share/VTKData";

  data_root_path = [ env_data_root; local_data_root; oct_data_root ];

  ## check where we have the readme file
  if (! isempty(data_root_path))
    for i=[1:rows(data_root_path)]
      curpath = strrep(data_root_path(i, :), " ", "");
	## remove all spaces; Octave pads all strings in data_root_path to the
	## same length
      filename = [curpath, filesep, readme];
      if (! isempty(stat(filename)))
        f = curpath;
        break;
      endif
    endfor
  else
    error("Empty search path for VTK_DATA_ROOT!");
  endif

  if (isempty(f))
    error([readme, " not found! \n\t Did you install the vtkdata package?"]);
  endif
  
endfunction
